2022-10-02 06:02 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002859CannonFodderCD[All Projects] Generalpublic2015-01-24 20:12
Reporteruser125 
Assigned ToWeplProject InfoCannon Fodder CD³² (Sensible Software)
http://www.whdload.de/games/CannonFodderCD.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002859: CannonFodderCD32: Exception "Illegal Instruction" ($10) at $9 occured.
DescriptionRunning the game under EUAE on an Amiga X1000.

Emulated KS/WB 3.1
WHDLoad version used 17.0.5139
Steps To ReproduceSimply quit with F10, the exception will always show up
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.0
imported
Attached Files
  • ? file icon .whdl_register (6,660 bytes) 2013-11-18 08:19 -
    ************************* 16-Nov-13 12:22:04 ************************17.0.5139***
    Slave='CannonFodderCD32.slave' (868 bytes)
    ShadowMem   275C40 -   29BC40 ( 155648) AbsolutMem    26000 -   100000 ( 892928)
    Resload     5E5ED0 -   5EBEF4 (  24612) at 5E5ED0  GL=$5F7A40
    Slave       5FF950 -   5FFC90 (    832) at 5FF950  BaseMemSize=$100000
    ExpMem      5EC000 -   5F7000 (  45056) at 5EC000
    attn=203(UAE,20) fc=-1 kn=10030 cs=6794 rw=0 zpt=-1 ep=0 ei=0
    setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
    
    Exception "Illegal Instruction" ($10) at $9 occured.
    
    $ffffffd4 move.l       ($2a2a,a2),d5                  ;$0006ed46
    $ffffffd8 move.l       ($2a2a,a2),d5                  ;$0006ed46
    $ffffffdc move.l       ($2a2a,a2),d5                  ;$0006ed46
    $ffffffe0 move.l       ($2a2a,a2),d5                  ;$0006ed46
    $ffffffe4 move.l       ($2a2a,a2),d5                  ;$0006ed46
    $ffffffe8 move.l       ($2a2a,a2),d5                  ;$0006ed46
    $ffffffec move.l       ($2a2a,a2),d5                  ;$0006ed46
    $fffffff0 move.l       ($2a2a,a2),d5                  ;$0006ed46
    $fffffff4 move.l       ($2a2a,a2),d5                  ;$0006ed46
    $fffffff8 move.l       ($2a2a,a2),d5                  ;$0006ed46
    $fffffffc move.l       ($2a2a,a2),d5                  ;$0006ed46
    $00000000 ori.b        #0,d0
    $00000004 line-f       $f000
    $00000006 ori.b        #??$cc,d1
    $0000000a mulu         a4,d6
    $0000000c mulu         a4,d6
    $0000000e mulu         a4,d6
    $00000010 mulu         a4,d6
    $00000012 mulu         a4,d6
    $00000014 mulu         a4,d6
    $00000016 mulu         a4,d6
    $00000018 mulu         a4,d6
    $0000001a mulu         a4,d6
    $0000001c mulu         a4,d6
    $0000001e mulu         a4,d6
    $00000020 mulu         a4,d6
    $00000022 mulu         a4,d6
    $00000024 mulu         a4,d6
    $00000026 mulu         a4,d6
    
    exception stackframe:
    $005F6FC8 22110000 00090010
    regular stack:
    $005F6FD0 FFFFFFFF D7D80001 000700B7 0006C2F8 0003D186 2008000A 2B780068 000A2AB6
    $005F6FF0 000A2902 00085FE2 DDDDDDDD DDDDDDDD
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx D7D80059     700B7        24        BF      FFFF         0         0      CFCA
    Ax   DFF000    BFE001     6C31C      2828     BE426      14B8    DFF000
    
                     TTSM III   XNZVC
    PC=       9›22m  SR %0010001000010001  USP=FFC00  ›1mISP=5F6FC8  MSP=FF800
    VBR=5F8A40  SFC=5  DFC=5  CACR=1  CAAR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000001100›22m dmacon=%›1m0000001111101111 adkcon=$1100
    intreq=%0010011111101000
    vposr....A300  vhposr...0471  joy0dat..D7B2  joy1dat..0000  clxdat...87FE  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.00F8  hhposr...C873  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=01000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m00000000›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000576  icr=00  sdr=4D    event=06A862  icr=84  sdr=00
    
    ************************* 16-Nov-13 12:33:22 ************************17.0.5139***
    Slave='CannonFodderCD32.slave' (868 bytes)
    ShadowMem   2760D0 -   29C0D0 ( 155648) AbsolutMem    26000 -   100000 ( 892928)
    Resload     5E5ED0 -   5EBEF4 (  24612) at 5E5ED0  GL=$5F7A40
    Slave       5FF950 -   5FFC90 (    832) at 5FF950  BaseMemSize=$100000
    ExpMem      5EC000 -   5F7000 (  45056) at 5EC000
    attn=203(UAE,20) fc=-1 kn=10030 cs=6794 rw=0 zpt=-1 ep=0 ei=0
    setcpu=3B3D(SS,BC,SB,DC,IC,SCB,ECB,BNC)
    
    Exception "Illegal Instruction" ($10) at $9 occured.
    
    $ffffffd4 move.l       ($2a2a,a2),d5                  ;$00088540
    $ffffffd8 move.l       ($2a2a,a2),d5                  ;$00088540
    $ffffffdc move.l       ($2a2a,a2),d5                  ;$00088540
    $ffffffe0 move.l       ($2a2a,a2),d5                  ;$00088540
    $ffffffe4 move.l       ($2a2a,a2),d5                  ;$00088540
    $ffffffe8 move.l       ($2a2a,a2),d5                  ;$00088540
    $ffffffec move.l       ($2a2a,a2),d5                  ;$00088540
    $fffffff0 move.l       ($2a2a,a2),d5                  ;$00088540
    $fffffff4 move.l       ($2a2a,a2),d5                  ;$00088540
    $fffffff8 move.l       ($2a2a,a2),d5                  ;$00088540
    $fffffffc move.l       ($2a2a,a2),d5                  ;$00088540
    $00000000 ori.b        #0,d0
    $00000004 line-f       $f000
    $00000006 ori.b        #??$cc,d1
    $0000000a mulu         a4,d6
    $0000000c mulu         a4,d6
    $0000000e mulu         a4,d6
    $00000010 mulu         a4,d6
    $00000012 mulu         a4,d6
    $00000014 mulu         a4,d6
    $00000016 mulu         a4,d6
    $00000018 mulu         a4,d6
    $0000001a mulu         a4,d6
    $0000001c mulu         a4,d6
    $0000001e mulu         a4,d6
    $00000020 mulu         a4,d6
    $00000022 mulu         a4,d6
    $00000024 mulu         a4,d6
    $00000026 mulu         a4,d6
    
    exception stackframe:
    $005F6F80 22110000 00090010
    regular stack:
    $005F6F88 FFFFFFFF D7F60007 00075F60 00003258 0009E2C4 21000008 65F20068 00086522
    $005F6FA8 0008990A 00000000 00000018 FFFF0020 29050017 0000000F 0000000B 00000000
    $005F6FC8 0000BFCA 00082822 0009E2C4 00085B16 000827DC 00081DFC 000A1B96 00DFF000
    $005F6FE8 20040008 64BC0064 000862B8 00086244 DDDDDDDD DDDDDDDD
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx D7F60059     75F60  FFFF001D  29050017         F         B         0      BFCA
    Ax   DFF000    BFE001     85B16     827DC     81DFC     A1B96    DFF000
    
                     TTSM III   XNZVC
    PC=       9›22m  SR %0010001000010001  USP=FFC00  ›1mISP=5F6F80  MSP=FF800
    VBR=5F8A40  SFC=5  DFC=5  CACR=1  CAAR=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000001100›22m dmacon=%›1m0000001111101111 adkcon=$1100
    intreq=%0010011111101000
    vposr....A300  vhposr...0467  joy0dat..1D85  joy1dat..0000  clxdat...8FFE  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..0000  
    deniseid.00F8  hhposr...C69E  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=01000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000›22m  tb=21FF<21FF	   crb=›1m00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m00000000›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=0047FE  icr=00  sdr=4D    event=57BEA4  icr=84  sdr=00
    
    ? file icon .whdl_register (6,660 bytes) 2013-11-18 08:19 +
  • ? file icon CannonFodderCD.Slave (880 bytes) 2013-11-19 23:51

-Relationships
+Relationships

-Notes

note ~0003527

user125

WHDLoad 17.1 [build 5206] (06.10.2012)

Same behaviour

note ~0003528

Wepl (developer)

at which point in the game it does crash?
only on keypress?

note ~0003529

user125

No specific point.
It crashes on quit even if i just loaded the game in...and after some hours of play, doesn't matter.

Reproduceable always on quit after pressing F10.

The game screen has already been closed when the error window comes up btw

note ~0003532

Wepl (developer)

can you please test if attached slave fixes the problem?

note ~0003534

user125

Yes, it does, no more crashes :-)

Thank you very much

note ~0003535

Wepl (developer)

new install package released
+Notes

-Issue History
Date Modified Username Field Change
2013-11-18 08:18 user125 New Issue
2013-11-18 08:19 user125 File Added: .whdl_register
2013-11-18 08:42 user125 Note Added: 0003527
2013-11-18 20:32 Wepl Project WHDLoad => CannonFodderCD
2013-11-18 20:38 Wepl Note Added: 0003528
2013-11-18 20:54 user125 Note Added: 0003529
2013-11-19 23:51 Wepl File Added: CannonFodderCD.Slave
2013-11-19 23:52 Wepl Note Added: 0003532
2013-11-20 10:18 user125 Note Added: 0003534
2013-11-20 10:54 Wepl Note Added: 0003535
2013-11-20 10:54 Wepl Status new => resolved
2013-11-20 10:54 Wepl Resolution open => fixed
2013-11-20 10:54 Wepl Assigned To => Wepl
2015-01-24 20:12 Wepl Status resolved => closed
+Issue History